Subject: Re: bug#32599: 25.2; Feature request: input PUA characters by name

From: [email-masked] (Janusz S. Bień)
Date: Sun, 26 May 2019 19:33:20 +0200

On Sun, May 26 2019 at 19:56 +03, Eli Zaretskii wrote:
>> From: [email-masked] (Janusz S. Bień)
>> Cc: [email-masked]
>> Date: Sun, 26 May 2019 17:18:21 +0200
>> 
>> > In addition, I think PUA codepoints aren't really treated as
>> > characters in Emacs, so there's a need for some infrastructure
>> > changes.
>> 
>> I do not propose to support the supplemental PUA planes. For the BMP
>> this probably boils down to the availability of the property
>> information. As we have now a pseudo-UnicodeData.txt for the PUA
>> characters (at least thise I'm interested in) this doesn't seem to me a
>> big problem).
>
> I think we are miscommunicating.

I'm afraid it's my fault, looks like I write too briefly.

> The problems I alluded to start from the fact that we exclude the PUA
> codepoints from the character property database.

I understand this but I expected, perhaps incorrectly, that the code for
it is rather simple.

> This means you cannot change their case and access
> their syntax category, for example.  Functions that select a suitable
> font also ignore PUA codepoints, IIRC.

So the problem is that the relevant code occurs in several places.

> Etc. etc. -- Someone™ should
> go over all the places where we specify character properties and use
> them, and make sure PUA codepoints aren't disregarded.

I understand one has to look for the occurences of a function or
constant. Definitely there are tools to make this easy/easier (many
years ago I was experimenting with tags file), now I would expect them
to be quite sophisticated.

How would you approach this problem?

Best regards

Janusz

-- 
             ,   
Janusz S. Bien
emeryt (emeritus)
https://sites.google.com/view/jsbien